Bug 114767 - /usr/bin/ld: cannot find -lgcc_s problem
/usr/bin/ld: cannot find -lgcc_s problem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 12:30 EST by Martial Paupe
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 03:59:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martial Paupe 2004-02-02 12:30:01 EST
Description of problem: 
 
I wish recompiler sources RPM of php4 'php-4.2.2-17.2.src.rpm' 
delivered with RedHat 9.0.   
 
Make is stopped by the following error:   
 
.........       stub.lo libphp4.la 
/usr/bin/ld: cannot find -lgcc_s 
collect2: ld returned 1 exit status 
make[1]: *** [php] Error 1 
make[1]: Leaving directory 
`/usr/src/redhat/BUILD/php-4.2.2/build-cgi' 
make: *** [all-recursive] Error 1 
error: Bad exit status from /var/tmp/rpm-tmp.55505 (%build) 
 
 
RPM build errors: 
    Bad exit status from /var/tmp/rpm-tmp.55505 (%build) 
 
The library is present in the '/lib' repertory under the name: 
 
libgcc_s.so.1 -> libgcc_s-3.2.2-20030225.so.1 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
php-4.2.2-17.2.src.rpm and all dependency. 
 
Steps to Reproduce: 
1.install RH base 
2.install source package 
3.cd /usr/src/redhat 
4.rpmbuild -bb SPECS/php.spec 
   
Actual results: 
see above 
 
Expected results: 
 
 
Additional info:
Comment 1 Joe Orton 2004-02-02 12:35:48 EST
What does:

# rpm -V libgcc gcc

give as root?
Comment 2 Martial Paupe 2004-02-03 03:17:01 EST
[root@sarge redhat]# rpm -V libgcc gcc 
.......T   /usr/bin/c89 
.......T   /usr/bin/c99 
SM5....T   /usr/bin/cc 
.......T   /usr/bin/gcc 
.......T   /usr/bin/gcov 
.......T   /usr/bin/i386-redhat-linux-gcc 
.......T   /usr/bin/protoize 
.......T   /usr/bin/unprotoize 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/cc1 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/collect2 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/crtbegin.o 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/crtbeginS.o 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/crtbeginT.o 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/crtend.o 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/crtendS.o 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/README 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/float.h 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/iso646.h 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/limits.h 
.......T   
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/mmintrin.h 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/stdarg.h 
.......T   
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/stdbool.h 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/stddef.h 
.......T   
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/syslimits.h 
.......T   
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/varargs.h 
.......T   
/usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/xmmintrin.h 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/libgcc.a 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/libgcc_eh.a 
missing    /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/libgcc_s.so 
.......T   /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs 
.......T d /usr/share/info/gcc.info-1.gz 
.......T d /usr/share/info/gcc.info-10.gz 
.......T d /usr/share/info/gcc.info-11.gz 
.......T d /usr/share/info/gcc.info-12.gz 
.......T d /usr/share/info/gcc.info-13.gz 
.......T d /usr/share/info/gcc.info-14.gz 
.......T d /usr/share/info/gcc.info-15.gz 
.......T d /usr/share/info/gcc.info-16.gz 
.......T d /usr/share/info/gcc.info-17.gz 
.......T d /usr/share/info/gcc.info-18.gz 
.......T d /usr/share/info/gcc.info-19.gz 
.......T d /usr/share/info/gcc.info-2.gz 
.......T d /usr/share/info/gcc.info-20.gz 
.......T d /usr/share/info/gcc.info-21.gz 
.......T d /usr/share/info/gcc.info-22.gz 
.......T d /usr/share/info/gcc.info-23.gz 
.......T d /usr/share/info/gcc.info-3.gz 
.......T d /usr/share/info/gcc.info-4.gz 
.......T d /usr/share/info/gcc.info-5.gz 
.......T d /usr/share/info/gcc.info-6.gz 
.......T d /usr/share/info/gcc.info-7.gz 
.......T d /usr/share/info/gcc.info-8.gz 
.......T d /usr/share/info/gcc.info-9.gz 
.......T d /usr/share/info/gcc.info.gz 
.......T d /usr/share/info/gccint.info-1.gz 
.......T d /usr/share/info/gccint.info-10.gz 
.......T d /usr/share/info/gccint.info-11.gz 
.......T d /usr/share/info/gccint.info-12.gz 
.......T d /usr/share/info/gccint.info-13.gz 
.......T d /usr/share/info/gccint.info-14.gz 
.......T d /usr/share/info/gccint.info-15.gz 
.......T d /usr/share/info/gccint.info-16.gz 
.......T d /usr/share/info/gccint.info-17.gz 
.......T d /usr/share/info/gccint.info-18.gz 
.......T d /usr/share/info/gccint.info-19.gz 
.......T d /usr/share/info/gccint.info-2.gz 
.......T d /usr/share/info/gccint.info-20.gz 
.......T d /usr/share/info/gccint.info-21.gz 
.......T d /usr/share/info/gccint.info-22.gz 
.......T d /usr/share/info/gccint.info-23.gz 
.......T d /usr/share/info/gccint.info-3.gz 
.......T d /usr/share/info/gccint.info-4.gz 
.......T d /usr/share/info/gccint.info-5.gz 
.......T d /usr/share/info/gccint.info-6.gz 
.......T d /usr/share/info/gccint.info-7.gz 
.......T d /usr/share/info/gccint.info-8.gz 
.......T d /usr/share/info/gccint.info-9.gz 
.......T d /usr/share/info/gccint.info.gz 
.......T   /usr/share/locale/da/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/el/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/es/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/fr/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/ja/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/nl/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/sv/LC_MESSAGES/gcc.mo 
.......T   /usr/share/locale/tr/LC_MESSAGES/gcc.mo 
.......T d /usr/share/man/man1/gcc.1.gz 
.......T d /usr/share/man/man1/gcov.1.gz 
[root@sarge redhat]# 
Comment 3 Joe Orton 2004-02-03 03:59:33 EST
There are your problems: your installation is missing some files.

missing    /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/libgcc_s.so 


Note You need to log in before you can comment on or make changes to this bug.